import 'dart:async';

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class JdIronsourcePlugin {
  static const MethodChannel _channel = const MethodChannel('jd_ironsource_plugin');

  ///初始化api
  ///appKey 设置app秘钥
  Future<void> init({@required String appKey}) async {
    await _channel.invokeMethod('init', <String, dynamic>{'appKey': appKey});
  }

  ///设置 OfferWall 监听
  Future<void> setOfferWallListener({onOfferWallOpened: Function, onOfferWallClosed: Function}) async {
    _channel.setMethodCallHandler((MethodCall methodCall) {
      switch (methodCall.method) {
        case 'setOfferWallListener':
          if (methodCall.arguments == "onOfferWallOpened") {
            if (onOfferWallOpened != null) onOfferWallOpened();
          } else if (methodCall.arguments == "onOfferWallClosed") {
            if (onOfferWallClosed != null) onOfferWallClosed();
          } else {}
          break;
        default:
      }
      return;
    });

    await _channel.invokeMethod('setOfferWallListener');
  }

  ///展示OfferWall
  Future<void> showOfferWall() async {
    await _channel.invokeMethod('showOfferWall');
  }
}
